import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import { Box, Modal } from "@mui/material";
import React from "react";
import Select from "react-select";

var MetaTagsModal = function MetaTagsModal(_ref) {
  var openImageTags = _ref.openImageTags,
      setOpenImageTags = _ref.setOpenImageTags,
      state = _ref.state,
      dispatch = _ref.dispatch;
  var style = {
    position: "absolute",
    top: "50%",
    left: "50%",
    transform: "translate(-50%, -50%)",
    width: 400,
    bgcolor: "background.paper",
    boxShadow: 24,
    p: 4
  };
  return React.createElement(Modal, {
    open: openImageTags,
    onClose: function onClose() {
      return setOpenImageTags(false);
    }
  }, React.createElement(Box, {
    sx: style
  }, React.createElement(Box, {
    sx: {
      mb: "20px"
    }
  }, "Select Frame Tags"), React.createElement(Select, {
    placeholder: "Meta Tags",
    maxMenuHeight: 200,
    styles: {
      menuList: function menuList(base) {
        return _objectSpread({}, base, {
          "::-webkit-scrollbar-thumb:hover": {
            backgroundColor: "#555"
          },
          "::-webkit-scrollbar-track": {
            borderRadius: "4px",
            backgroundColor: "#f5f5f5",
            boxShadow: "inset 0 0 2px rgba(0, 0, 0, 0.3)"
          },
          "::-webkit-scrollbar": {
            width: "6px",
            backgroundColor: "#f5f5f5"
          },
          "::-webkit-scrollbar-thumb": {
            borderRadius: "4px",
            backgroundColor: "#afb5b8",
            boxShadow: "inset 0 0 2px rgba(0, 0, 0, 0.3)"
          }
        });
      }
    },
    onChange: function onChange(newTags) {
      dispatch({
        type: "SET_IMAGE",
        image: _objectSpread({}, state.images[state.selectedImage], {
          tags: newTags ? newTags.map(function (t) {
            return t.value;
          }) : []
        })
      });
    },
    value: state.images[state.selectedImage].tags ? state.images[state.selectedImage].tags.map(function (t) {
      return {
        label: t,
        value: t
      };
    }) : [],
    isMulti: true,
    options: state.imageTagList.map(function (t) {
      return {
        value: t,
        label: t
      };
    })
  })));
};

export default MetaTagsModal;